Announcement Announcement Module
Collapse
No announcement yet.
addon install Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • addon install

    Hi

    I am trying to install the addon for vaadin with roo 1.2.
    I followed these steps

    addon list
    addon install id --searchResultId 44

    I get the following error
    Code:
    roo> addon install id --searchResultId 44
    Unsatisfied requirement(s):
    ---------------------------
       (&(package=org.springframework.roo.addon.entity)(version>=1.1.0)(!(version>=2.0.0)))
          Vaadin Plug-in for Spring Roo
    
    Unable to install add-on: Vaadin Plug-in for Spring Roo [version: 1.0.1]
    The addon whould be valid
    Code:
    44 Y Y 1.0.1 Spring Roo addon for creating rich internet applications with
           Vaadin.
    I hope somebody has a solution.
    I would appreciate to have some feedback on roo+vaadin.

    Regards

  • #2
    addon may be not compatible

    Hi

    The vaadin web site say

    Note that the current version of Vaadin plugin for Spring Roo (1.0.1 at the time of writing) is compatible with Roo 1.1.5 but not with the Roo 1.2.0M1 milestone build that is bundled with the latest STS versions. If using an STS version that comes with Roo 1.2.0M1, install Roo 1.1.5 for use with Vaadin.
    I suppose the curent version of the vaadin addon does not works with roo 1.2.
    The addon list have to be updated: 44 Y Y 1.0.1 Spring Roo addon for creating rich internet applications with Vaadin.

    I am going to give a try with roo 1.5

    Why is STS shipped with roo 1.1.5 ?
    What is the url for roo 1.1.5 doc ?


    Regards

    Comment


    • #3
      The docs are found within the Roo download, in "docs".

      Comment

      Working...
      X